mxStylesheetCodec (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io
Class mxStylesheetCodec

    java.lang.Object
      com.mxgraph.io.mxObjectCodec
          com.mxgraph.io.mxStylesheetCodec

    public class mxStylesheetCodec

extends mxObjectCodec

Codec for mxStylesheets. This class is created and registered dynamically at load time and used implicitely via mxCodec and the mxCodecRegistry.

Field Summary

Fields inherited from class com.mxgraph.io.mxObjectCodec
`accessors, exclude, fields, idrefs, mapping, reverse, template`

Constructor Summary
`mxStylesheetCodec()` Constructs a new model codec.
`mxStylesheetCodec(Object template)` Constructs a new stylesheet codec for the given template.
`mxStylesheetCodec(Object template, String[] exclude, String[] idrefs, Map<String,String> mapping)` Constructs a new model codec for the given arguments.

Method Summary
`Object` | `decode(mxCodec dec, Node node, Object into)` Decodes the given mxStylesheet.
`Node` | `encode(mxCodec enc, Object obj)` Encodes the given mxStylesheet.
`protected String` | `getStringValue(Map.Entry<String,Object> entry)` Returns the string for encoding the given value.

Methods inherited from class com.mxgraph.io.mxObjectCodec
`addObjectValue, afterDecode, afterEncode, beforeDecode, beforeEncode, cloneTemplate, convertValueFromXml, convertValueToXml, decode, decodeAttribute, decodeAttributes, decodeChild, decodeChildren, decodeNode, encodeElements, encodeFields, encodeObject, encodeValue, getAccessor, getAttributeName, getField, getFieldName, getFieldTemplate, getFieldValue, getFieldValueWithAccessor, getMethod, getName, getTemplate, isExcluded, isPrimitiveValue, isReference, processInclude, setFieldValue, setFieldValueWithAccessor, writeAttribute, writeComplexAttribute, writePrimitiveAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxStylesheetCodec

    public mxStylesheetCodec()

  Constructs a new model codec.

### mxStylesheetCodec

    public mxStylesheetCodec(Object template)

  Constructs a new stylesheet codec for the given template.

### mxStylesheetCodec

    public mxStylesheetCodec(Object template,
                             String[] exclude,
                             String[] idrefs,
                             Map<String,String> mapping)

  Constructs a new model codec for the given arguments.

Method Detail

### encode

    public Node encode(mxCodec enc,
                       Object obj)

  Encodes the given mxStylesheet.

  Overrides:
    `encode` in class `mxObjectCodec`
  Parameters:
    `enc` - Codec that controls the encoding process.
    `obj` - Object to be encoded.
  Returns:
    Returns the resulting XML node that represents the given object.

### getStringValue

    protected String getStringValue(Map.Entry<String,Object> entry)

  Returns the string for encoding the given value.

### decode

    public Object decode(mxCodec dec,
                         Node node,
                         Object into)

  Decodes the given mxStylesheet.

  Overrides:
    `decode` in class `mxObjectCodec`
  Parameters:
    `dec` - Codec that controls the encoding process.
    `node` - XML node to be decoded.
    `into` - Optional object to encode the node into.
  Returns:
    Returns the resulting object that represents the given XML node or the object given to the method as the into parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.